# -*- coding: utf-8 -*-
#===============================================================================
# NetworkServer System Plugin 0.1 by DarkVolli 2009-2012
#
# This is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 2, or (at your option) any later
# version.
#===============================================================================

# for localized messages Package: nfs-utils Package: sambaserver
from __init__ import _

from Plugins.Plugin import PluginDescriptor
from setupSamba import setupSamba
from setupNfs import setupNfs
from os.path import isfile

plugin_path = ""

def setupSambaMain(session, iface = None, **kwargs):
	session.open(setupSamba, iface, plugin_path)

def setupNfsMain(session, iface = None, **kwargs):
	session.open(setupNfs, iface, plugin_path)

def setupSambaCallFunction(iface):
	return setupSambaMain if isfile("/usr/sbin/smbd") else None

def setupNfsCallFunction(iface):
	return setupNfsMain if isfile("/usr/sbin/exportfs") else None

def Plugins(path, **kwargs):
	global plugin_path
	plugin_path = path
	return [
		PluginDescriptor(name=_("setupSamba"), description=_("Activate and configurate your Samba-Server"), where = PluginDescriptor.WHERE_NETWORKSETUP, fnc={"ifaceSupported": setupSambaCallFunction, "menuEntryName": lambda x: _("Samba-Server Setup"), "menuEntryDescription": lambda x: _("Start/Stop and manage your Samba-Server...\n")}),
		PluginDescriptor(name=_("setupNFS"), description=_("Activate and configurate your NFS-Server"), where = PluginDescriptor.WHERE_NETWORKSETUP, fnc={"ifaceSupported": setupNfsCallFunction, "menuEntryName": lambda x: _("NFS-Server Setup"), "menuEntryDescription": lambda x: _("Start/Stop and manage your NFS-Server...\n")})
	]
